Bug 3495 - IPv6 specific name resolution Error
Summary: IPv6 specific name resolution Error
Status: RESOLVED FIXED
Alias: None
Product: Claws Mail (Windows)
Classification: Unclassified
Component: default (show other bugs)
Version: 3.12.0
Hardware: PC Windows 8
: P3 major
Assignee: users
URL:
Depends on:
Blocks:
 
Reported: 2015-08-13 08:26 CEST by Dravion Smith
Modified: 2015-09-10 22:56 CEST (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dravion Smith 2015-08-13 08:26:58 CEST
Hi, 
Iam the postmaster of a own Postfix/Dovecot POP3+IMAP Installation and there is a major problem in the Claws Win32 Version when it comes to Name Resolution of IPv6 Addresses and even connectivity Problems if you use plain IPv6 Addresses
as Hostnames. On the Postfix Serverside i see no incomning Connection and
Claws Reports the Error: "Unknown Host". But the host is avaiable via ping -6 and tracert, i can also connect manually via telnet 25 and telnet 110 (pop)
and just send a plaintext email. Mutt and other Clients playing well with IPv6.

Note: If i provide Claws a IPv4 IP-Address, evertything works as expected.
Comment 1 Dravion Smith 2015-08-13 08:31:53 CEST
IPv6, Windows (32-Bit), general connectivity Problem, but IPv4 Connections works fine.Other IPv6 capable E-Mail-Clients like MS-Offoce 2013 or Thunderbird
38.1.0 (win32) is working fine on IPv6 on Windows.
Comment 2 users 2015-08-20 08:29:04 CEST
Changes related to this bug have been committed.
Please check latest Git and update the bug accordingly.
You can also get the patch from:
http://git.claws-mail.org/

++ ChangeLog	2015-08-20 08:29:02.732280727 +0200
http://git.claws-mail.org/?p=claws.git;a=commitdiff;h=99c3faf9573e885cac1fd625ce799d1f0acb6f04
Merge: d4741c3 8f4236e
Author: Colin Leroy <colin@colino.net>
Date:   Thu Aug 20 08:29:02 2015 +0200

    Merge branch 'master' of file:///home/git/claws

http://git.claws-mail.org/?p=claws.git;a=commitdiff;h=8f4236e282d3252ecf9f3920e2e5c312d2cf50fc
Author: Andrej Kacian <ticho@claws-mail.org>
Date:   Wed Oct 1 22:00:06 2014 +0200

    Use getaddrinfo() instead of gethostbyname() in socket.c.
    
    Closes bug #3253, as we're trying all resolved addresses.
    This should also make IPv6 work on Windows, bug #3495.
Comment 3 Andrej Kacian 2015-09-10 22:56:49 CEST
I have just fixed this in git. IPv6, both using hostnames and plain IP addresses, will be working in next release.